MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000703XdebugUsage problems (Wrong Results)public2011-07-08 15:572011-07-16 15:39
Reporter2GooD 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000703: Line in heredoc marked as not executed in PHP_CodeCoverage for special case
DescriptionWhen a line in a heredoc ends with a ${} construct the subsequent line is marked as not executed in in PHP_CodeCoverage. See the attached coverage report.

I use Ubuntu Natty (11.04) with these package version:

php5-xdebug 2.1.0-1

php5 5.3.5-1ubuntu7.2
Steps To Reproduce<?php

$a = 'foo';

$b = <<<EOF
the line after this is marked as not executed ${a}

EOF;

$c = <<<EOF
the line after ${a} is marked as executed

EOF;
Additional InformationI reported this as agains PHP_CodeCoverage but it was promptly closed as an Xdebug issue:

https://github.com/sebastianbergmann/php-code-coverage/issues/52 [^]
TagsNo tags attached.
Operating SystemUbuntu Natty (11.04)
PHP Version5.3.5
Attached Fileszip file icon report.zip [^] (40,516 bytes) 2011-07-08 15:57

- Relationships

-  Notes
(0001761)
derick (administrator)
2011-07-16 15:39

Fixed in git for xdebug 2.1.3 and 2.2dev

- Issue History
Date Modified Username Field Change
2011-07-08 15:57 2GooD New Issue
2011-07-08 15:57 2GooD File Added: report.zip
2011-07-16 15:39 derick Note Added: 0001761
2011-07-16 15:39 derick Status new => closed
2011-07-16 15:39 derick Assigned To => derick
2011-07-16 15:39 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker